* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    background-color: #F8FAFC;
    font-family: Poppins, sans-serif;
    color: #000000;    
}

main {
    flex: 1;
}

.heading {
    display: flex;
    justify-content: center;
    margin-block: 2.5rem;
    padding: 0 1rem;

    h1 {
        font-size: 2.25rem;
        font-weight: 600;
        text-align: center;
        max-width: 650px;
    }

}

.articles {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2.5rem;
    padding-bottom: 3rem;
}

.individual-article {
    width: 90%;
    max-width: 740px;
    display: flex;
    flex-direction: column;
    gap: 0.8rem;

    h2 {
        font-size: 1.25rem;
        font-weight: 600;
    }

    p {
        font-size: 0.875rem;
        font-weight: 500;
        color: #4D5562;
    }

    div {
        img {
            border-radius: 12px;
            height: 120px;
            width: auto;
        }
    }

    &:hover {
        transform: scale(0.98);
    }

}

.article {
        display: flex;
        flex-direction: column;
        gap: 0.7rem;
}

.author-info {
    font-size: 14px;
    text-align: center;
    margin-top: 16px;
    color: rgb(55, 65, 81);
    
    a {
        text-decoration: none;
        color: blue;
    }

}

@media screen and (min-width: 1024px) {

    .individual-article {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 3.5rem;
    }

    .individual-article {
        div {
            img {
                height: 100%;
                width: auto;
            }
        }
    }

}